org.jbpm.process.workitem.ftp

## Class FTPUploadWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler
  - - org.jbpm.process.workitem.ftp.FTPUploadWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler

      public class FTPUploadWorkItemHandler
      extends AbstractLogOrThrowWorkItemHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

      `logThrownException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPUploadWorkItemHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `boolean` | `isResult()`
    `void` | `setConnection(String host, String port, String userName, String password)`
    `void` | `setResult(boolean result)`

    - ### Methods inherited from class org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

      `handleException, handleException, setLogThrownException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FTPUploadWorkItemHandler

          public FTPUploadWorkItemHandler()

  - ### Method Detail

    - #### setConnection

          public void setConnection(String host,
                                    String port,
                                    String userName,
                                    String password)

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

    - #### isResult

          public boolean isResult()

      Returns:
        the result

    - #### setResult

          public void setResult(boolean result)

      Parameters:
        `result` - the result to set

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.